Skip to main content
POST
/
api
/
v2.1
/
verifications
/
{verificationId}
/
documents
cURL
curl --request POST \
  --url https://sandbox.finhub.cloud/api/v2.1/verifications/{verificationId}/documents \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --header 'X-Forwarded-For: <x-forwarded-for>' \
  --header 'X-Forwarded-From: <x-forwarded-from>' \
  --header 'X-Tenant-ID: <x-tenant-id>' \
  --header 'deviceId: <deviceid>' \
  --header 'platform: <platform>' \
  --data '
{
  "documentType": "PASSPORT",
  "fileName": "passport.pdf",
  "fileContent": "JVBERi0xLjQK...",
  "mimeType": "application/pdf",
  "verificationId": "825f84a5-a709-4e58-a80f-b51871d94cfb",
  "customerId": "2dac1793-ab48-420c-b0b5-01292302e188"
}
'
import requests

url = "https://sandbox.finhub.cloud/api/v2.1/verifications/{verificationId}/documents"

payload = {
    "documentType": "PASSPORT",
    "fileName": "passport.pdf",
    "fileContent": "JVBERi0xLjQK...",
    "mimeType": "application/pdf",
    "verificationId": "825f84a5-a709-4e58-a80f-b51871d94cfb",
    "customerId": "2dac1793-ab48-420c-b0b5-01292302e188"
}
headers = {
    "X-Forwarded-For": "<x-forwarded-for>",
    "X-Tenant-ID": "<x-tenant-id>",
    "X-Forwarded-From": "<x-forwarded-from>",
    "platform": "<platform>",
    "deviceId": "<deviceid>",
    "Authorization": "<authorization>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'X-Forwarded-For': '<x-forwarded-for>',
    'X-Tenant-ID': '<x-tenant-id>',
    'X-Forwarded-From': '<x-forwarded-from>',
    platform: '<platform>',
    deviceId: '<deviceid>',
    Authorization: '<authorization>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    documentType: 'PASSPORT',
    fileName: 'passport.pdf',
    fileContent: 'JVBERi0xLjQK...',
    mimeType: 'application/pdf',
    verificationId: '825f84a5-a709-4e58-a80f-b51871d94cfb',
    customerId: '2dac1793-ab48-420c-b0b5-01292302e188'
  })
};

fetch('https://sandbox.finhub.cloud/api/v2.1/verifications/{verificationId}/documents', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Upload Verification Document

Uploads a base64 encoded document file to a verification case.

Endpoint

POST /api/v2.1/verifications/{verificationId}/documents

Required Headers

Request Example (B2C)

{
  "verificationId": "825f84a5-a709-4e58-a80f-b51871d94cfb",
  "documentType": "PASSPORT",
  "mimeType": "application/pdf",
  "fileName": "passport.pdf",
  "fileContent": "<base64>",
  "customerId": "2dac1793-ab48-420c-b0b5-01292302e188"
}

Request Example (B2B)

{
  "verificationId": "ac0d408e-06b8-420c-9876-745db4ea4c98",
  "documentType": "CERTIFICATE_OF_INCORPORATION",
  "mimeType": "application/pdf",
  "fileName": "certificate_of_incorporation.pdf",
  "fileContent": "<base64>",
  "organizationId": "f458d016-56bb-43a6-856c-4d0456b2c38c"
}

Success Response

200
{
  "code": 200,
  "data": {
    "documentId": "80cfa65a-713e-4802-a550-090adef9bcfd",
    "documentType": "DT_PASSPORT",
    "fileName": "passport.pdf"
  },
  "message": "Success"
}
Used in B2C step runner Step 5 and B2B step runner Step 6.

Headers

X-Forwarded-For
string
required
X-Tenant-ID
string
required
X-Forwarded-From
string
required
platform
string
required
deviceId
string
required
Authorization
string
required

Path Parameters

verificationId
string
required

Body

application/json
documentType
string
required
Example:

"PASSPORT"

fileName
string
required
Example:

"passport.pdf"

fileContent
string
required
Example:

"JVBERi0xLjQK..."

mimeType
string
required
Example:

"application/pdf"

verificationId
string
required
Example:

"825f84a5-a709-4e58-a80f-b51871d94cfb"

customerId
string
Example:

"2dac1793-ab48-420c-b0b5-01292302e188"

organizationId
string
Example:

"f458d016-56bb-43a6-856c-4d0456b2c38c"

Response

200

Document uploaded